WebAppDoctorManagement/WebAppDoctorManagement/Models/CaptureDoctorProfileViewModel.cs
using AutoMapper;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebAppDoctorManagement.Models
{
    public class CaptureDoctorProfileViewModel
    {
        [Required]
        public int Id { get; set; }

        [MaxLength(100)]
        [Required]
        public string FirstName { get; set; }

        [MaxLength(100)]
        [Required]
        public string Surname { get; set; }

        [MaxLength(20)]
        [Required]
        public string HPCSANUMBER { get; set; }


        [MaxLength(20)]
        [Required]
        public string IDNumber { get; set; }

        public bool Discipline { get; set; }

        [Required]
        public int TitleId { get; set; }
        public Title Title { get; set; }
        
        public List<TitleViewModel> TitleList { get; set; }

        [Required]
        public int ProvinceId { get; set; }
        public Province Province { get; set; }
       
        public List<ProvinceViewModel> ProvinceList { get; set; }

        [Required]
        public int RegionId { get; set; }
        public Region Region { get; set; }
      
        public List<RegionViewModel> RegionList { get; set; }
    }
}

WebAppDoctorManagement/WebAppDoctorManagement/Controllers/DoctorController.cs
using AutoMapper;
using Microsoft.AspNet.Identity;
using Microsoft.AspNet.Identity.EntityFramework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebAppDoctorManagement.DAL;
using WebAppDoctorManagement.Models;

namespace WebAppDoctorManagement.Controllers
{
    [Authorize]
    public class DoctorController : BaseController
    {
        // GET: Doctor
        public ActionResult Index()
        {
            List<DoctorProfileViewModel> model = new List<DoctorProfileViewModel>();
            using (DoctorManager doctorMnger = new DoctorManager())
            {
                var modelDoctorProfileDB = doctorMnger.GetAllDoctorProfile();
                Mapper.Configuration.CreateMapper();
                model = Mapper.Map<List<DoctorProfile>, List<DoctorProfileViewModel>>(modelDoctorProfileDB);
            }
            return PartialView(model);
        }

        public ActionResult CaptureDoctorProfile()
        {
            AccountController accController = new AccountController();

            if(isAdminUser() == false)
            {
                return PartialView("Error", new HandleErrorInfo(new Exception("Your do not have permission to access this part of the system."), "CaptureDoctorProfile", "CaptureDoctorProfile"));
            }

            Mapper.Configuration.CreateMapper();
            CaptureDoctorProfileViewModel model = new CaptureDoctorProfileViewModel();

            using (TitleManager titleMnger = new TitleManager())
            {
                var titleDB = titleMnger.GetAllTitle();
                model.TitleList = Mapper.Map<List<Title>, List<TitleViewModel>>(titleDB);
            }

            using (RegionManager regionMnger = new RegionManager())
            {
                var regionDB = regionMnger.GetAllRegion();
                model.RegionList = Mapper.Map<List<Region>, List<RegionViewModel>>(regionDB);
            }

            using (ProvinceManager provinceMnger = new ProvinceManager())
            {
                var provinceDB = provinceMnger.GetAllProvince();
                model.ProvinceList = Mapper.Map<List<Province>, List<ProvinceViewModel>>(provinceDB);
            }
            
            return View(model);
        }

        [HttpPost]
        public ActionResult AddDoctorProfile(CaptureDoctorProfileViewModel model)
        {
            bool result = false;
            if (ModelState.IsValid)
            {
                using (DoctorManager courseMngr = new DoctorManager())
                {
                    DoctorProfile updateDBModel = new DoctorProfile();
                    updateDBModel.Id = model.Id;
                    updateDBModel.FirstName = model.FirstName;
                    updateDBModel.Surname = model.Surname;
                    updateDBModel.HPCSANUMBER = model.HPCSANUMBER;
                    updateDBModel.IDNumber = model.IDNumber;
                    updateDBModel.Discipline = model.Discipline;
                    updateDBModel.TitleId = model.TitleId;
                    updateDBModel.ProvinceId = model.ProvinceId;
                    updateDBModel.RegionId = model.RegionId;
                    result = courseMngr.CreateDoctorProfile(updateDBModel);
                }
            }
            else
            {
                return base.RaiseError("Invalid do information.");
            }

            if (result)
            {
                return base.RaiseSuccess("Updated Successfully");
            }
            else
            {
                return base.RaiseError("Update Failed");
            }
        }

        public Boolean isAdminUser()
        {
            ApplicationDbContext context = new ApplicationDbContext();
            if (User.Identity.IsAuthenticated)
            {
                var user = User.Identity;
                var UserManager = new UserManager<ApplicationUser>(new UserStore<ApplicationUser>(context));
                var s = UserManager.GetRoles(user.GetUserId());
                if (s != null && s.Any() && s[0].ToString() == "Admin")
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            return false;
        }
    }
}

WebAppDoctorManagement/WebAppDoctorManagement/Views/Doctor/CaptureDoctorProfile.cshtml
@model WebAppDoctorManagement.Models.CaptureDoctorProfileViewModel
@using (Ajax.BeginForm("AddDoctorProfile", "Doctor", new AjaxOptions { OnSuccess = "onAddDoctorProfileAdded", HttpMethod = "POST" }, new { id = "frmAddDoctorProfile" }))
{
    @Html.AntiForgeryToken()
    <h4>Capture Doctor Profile</h4>
    <hr />
    <div class="form-horizontal">
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })

        <div class="form-group">
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("Title", htmlAttributes: new { @class = "control-label col-md-4" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.DropDownListFor(model => model.TitleId, new SelectList(Model.TitleList, "Id", "Description"), "--Please select--", new { @id = "cmbTitle", @class = "form-control" })
                @Html.ValidationMessageFor(model => model.TitleId, "", new { @class = "text-danger" })
            </div>
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("Discipline", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.CheckBoxFor(model => model.Discipline,  htmlAttributes: new { @class = "form-control" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("First Name", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.TextBoxFor(model => model.FirstName, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
            </div>
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("Surname", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.TextBoxFor(model => model.Surname, htmlAttributes: new {  @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Surname, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("IDNumber", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.TextBoxFor(model => model.IDNumber, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.IDNumber, "", new { @class = "text-danger" })
            </div>
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("HPCSANUMBER", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.TextBoxFor(model => model.HPCSANUMBER, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.HPCSANUMBER, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("Province", htmlAttributes: new { @class = "control-label col-md-4" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.DropDownListFor(model => model.ProvinceId, new SelectList(Model.ProvinceList, "Id", "Description"), "--Please select--", new { @id = "cmbTitle", @class = "form-control" })
                @Html.ValidationMessageFor(model => model.ProvinceId, "", new { @class = "text-danger" })
            </div>
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("Region", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.DropDownListFor(model => model.RegionId, new SelectList(Model.RegionList, "Id", "Description"), "--Please select--", new { @id = "cmbTitle", @class = "form-control" })
                @Html.ValidationMessageFor(model => model.RegionId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-4">
                    @Html.ActionLink("Back", "Index", "Home")
            </div>
            <div class="col-md-8">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}
<script>
    function onAddDoctorProfileAdded(args) {
        
        if (args.success)
        {
            alert("Saved Successfully");
            window.location.reload();
        }
    }
</script>

WebAppDoctorManagement/WebAppDoctorManagement/Views/Doctor/Index.cshtml
@using WebAppDoctorManagement.Models;
@model IEnumerable<DoctorProfileViewModel>
@{
    ViewBag.Title = "DoctorProfile Information";
}
<div>
    @Html.ActionLink("Capture Doctor Profile", "CaptureDoctorProfile", "Doctor")
</div>
<h4>Doctor Profile Information</h4>
<hr />
<table class="table table-bordered" cellpadding="0" cellspacing="0" id="tblDoctorProfileInfoGrid">
    <thead>
        <tr>
            <th>Title</th>
            <th>First Name</th>
            <th>Surname</th>
            <th>HPCSA NUMBER</th>
            <th>ID Number</th>
            <th>Discipline</th>
            <th>Province</th>
            <th>Region</th>
        </tr>
    </thead>
    <tbody>
        @foreach (DoctorProfileViewModel docProfile in Model)
        {
            <tr>
                <td>@docProfile.Title.Description</td>
                <td>@docProfile.FirstName</td>
                <td>@docProfile.Surname</td>
                <td>@docProfile.HPCSANUMBER</td>
                <td>@docProfile.IDNumber</td>
                <td>@docProfile.Discipline</td>
                <td>@docProfile.Province.Description</td>
                <td>@docProfile.Region.Description</td>
            </tr>
        }
    </tbody>
</table>
<script src="~/Scripts/DataTables/jquery.dataTables.js"></script>
<link href="~/Content/DataTables/css/dataTables.jqueryui.css" rel="stylesheet" />
<script>
    $(document).ready(function () {
        $('#tblDoctorProfileInfoGrid').DataTable();
    });

</script>